extern int CCI_Period = 14;
extern int MA1_Period = 50, MA2_Period = 100;
extern double Lots = 0.1;
extern int MagicNumber = 13131313;

int init(){Comment("");}

int deinit(){Comment("");}

int start()
{
   if (isNewBar()) EveryBar();
   //Comment(CCI1[2] + " | " + CCI1[1]);
   return(0);
}
 
void EveryBar()
{
   double CCI1[30];
   int Index, Count = ArraySize(CCI1), ticket;
   
   for (Index = 0; Index < Count; Index++)
   {
      CCI1[Index] = iCCI(NULL, 0, CCI_Period, PRICE_TYPICAL, Index);
   }
   
   if (TrendDetermination() == 1 && CCI1[2] < -100 && CCI1[1] > -100)
   {
      ticket = OrderSend(Symbol(), OP_BUY, Lots, Ask, 3, 0, 0, "Long", MagicNumber, 0, Green);
      if (ticket > 0)
      {
         if (OrderSelect(ticket, SELECT_BY_TICKET, MODE_TRADES))
         {
            Print("Long order opened: ", OrderOpenPrice());
            //Print(CCI1[2] + " | " + CCI1[1]);
         }
      }
      else Print("Error opening long order: ", GetLastError());
   }
   else if (TrendDetermination() == 2 && CCI1[2] > 100 && CCI1[1] < 100)
   {
      ticket = OrderSend(Symbol(), OP_SELL, Lots, Bid, 3, 0, 0, "Short", MagicNumber, 0, Red);
      if (ticket > 0)
      {
         if (OrderSelect(ticket, SELECT_BY_TICKET, MODE_TRADES)) 
         {
            Print("Short order opened: ", OrderOpenPrice());
            //Print(CCI1[2] + " | " + CCI1[1]);
         }
      }
      else Print("Error opening short order: ", GetLastError());
   }
}
   
bool isNewBar()
{
   static datetime NewTime = 0;
   bool NewBar = false;
   if (NewTime != Time[0])
   {
      NewTime = Time[0];
      NewBar = true;
   }
   return (NewBar);
}

int TrendDetermination()
{
   double MA1[100], MA2[100];
   int Index, Count = ArraySize(MA1);
   
   for (Index = 0; Index < Count; Index++)
   {
      MA1[Index] = iMA(NULL, 0, MA1_Period, 0, MODE_SMA, PRICE_CLOSE, Index);
      MA2[Index] = iMA(NULL, 0, MA2_Period, 0, MODE_SMA, PRICE_CLOSE, Index);
   }
   
   if (Close[0] > MA1[0] && MA1[0] > MA2[0]) return(1);
   else if (Close[0] < MA1[0] && MA1[0] < MA2[0]) return(2);
}